Bug 458449 - Review Request: perl-Log-TraceMessages - Perl extension for trace messages used in debugging
Review Request: perl-Log-TraceMessages - Perl extension for trace messages us...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 458446
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 10:19 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-09-26 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 07:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-08-08 10:19:04 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Log-TraceMessages.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Log-TraceMessages-1.4-1.fc8.kwizart.src.rpm
Description: Perl extension for trace messages used in debugging
Comment 1 David Timms 2008-08-23 08:11:18 EDT
Starting review: {it's my first perl review, so the queries may not make sense, if you can, provide explanation}

[OK] = fine.
[ x] issue needs fixing
[ ?] I'm unsure, unclear why this is happening.
[ !] suggestion

[OK] name: conforms to fedora naming guidelines.
[OK] version: is the most recent release. Upstream development seems to be static.
[OK] release field in correct format
[OK] summary is <80 chars and punctuation free, matches head1 NAME.
[OK] group makes sense
[OK] license correct for perl CPAN module.
[OK] source0 is correct.
[OK] buildroot matches the second most preferred.
[OK] buildarch is correct for perl package
[OK] br makemaker is correct since Build.pl not present, but Makefile.pl is.
[OK] br HTML-FromText is a require from the script.
[OK] prep duplicates method used in other perl package.
[OK] build duplicated method used in other perl package.
[OK] install starts with erasing buildroot
[OK] install follows method used in other perl package.
[OK] check is included, follows form, and doesn't require exclusion due to buildsys gui or network requirements.
[OK] clean buildroot is included in the correct format.
[OK] files - defattr is set
[OK] both doc files are included
[OK] owning of %{perl_vendorlib} parent folder is correct according to guidelines.
[OK] source0 md5sum matches upstream download from cpan and uwinnipeg mentioned above:
77687c9858a476628f0299cf4f29c727  Log-TraceMessages-1.4.tar.gz
77687c9858a476628f0299cf4f29c727  Log-TraceMessages-1.4.tar.gz.upst
77687c9858a476628f0299cf4f29c727  perl-Log-TraceMessages-1.4-1.fc8.kwizart.src/Log-TraceMessages-1.4.tar.gz

[ !] guidelines suggest adding cc: to perl sig 
https://fedoraproject.org/wiki/Packaging/Perl#Set_inital-cc_to_.27perl-sig.27

[ ?] Data::Dumper is a listed require in the script. Does a perl package automatically add this as br ?

[ ?] requires: value is added, but differs from the perl guidelines.

I think the guidelines may have been confused when translated between wiki formats. Included value matches other fedora .specs {eg perl-Net-IP}

[ x] url gives a search error:
The distribution 'Log-TraceMessages' cannot be found, did you mean one of these

Not sure why this is. Can be found at:
http://cpan.uwinnipeg.ca/dist/Log-TraceMessages
However, the format in the spec file is as required by f guidelines/perl:

For CPAN-based packages the URL tag should use a non-versioned search.cpan.org URL. E.g., if one were packaging the module Net::XMPP, the URL would be:

URL:            http://search.cpan.org/dist/Net-XMPP/

[ x] a buildrequire is not yet available:
 yum-builddep perl-Log-TraceMessages-1.4-1.fc8.kwizart.src.rpm 
perl-ExtUtils-MakeMaker-6.36-31.fc9.i386
Error: No Package found for perl(HTML::FromText) >= 1.004
- awaiting progress on 458446 for that package.
- reviewer has requested update and upstream communication.
- sub br package has been reviewed and approved, but does not seem to be built / released yet {infra problems ?}
Comment 2 Nicolas Chauvet (kwizart) 2008-09-04 13:11:46 EDT
Initial cc: perl-sig is at cvs creation step. (once package is approved).

I didn't get what you meant by Data::Dumper

Extracted perl dependencies seems clean to me.
------------
Provides: perl(Log::TraceMessages) = 1.4
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl(:MODULE_COMPAT_5.8.8) perl(Exporter) perl(FileHandle) perl(strict) perl(vars)
Vérification des fichiers non empaquetés: /usr/lib/rpm/check-files /var/tmp/perl-Log-TraceMessages-1.4-1.fc8.kwizart-root-builder
------------------

The missing Build dependency has just been approved , so I hope to follow with this one soon...
Comment 3 David Timms 2008-09-05 09:49:07 EDT
Hi,

(In reply to comment #2)
> Initial cc: perl-sig is at cvs creation step. (once package is approved).
> 
> I didn't get what you meant by Data::Dumper
TraceMessages.pm has:
----
=cut
sub d($) {
    return '' if not $On;
    require Data::Dumper;
    my $s = $_[0];
----
I'm not sure where/if that is automatically available.

> Extracted perl dependencies seems clean to me.
> ------------
> Provides: perl(Log::TraceMessages) = 1.4
> Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <=
> 3.0.3-1
> Requires: perl(:MODULE_COMPAT_5.8.8) perl(Exporter) perl(FileHandle)
> perl(strict) perl(vars)
> Vérification des fichiers non empaquetés: /usr/lib/rpm/check-files
> /var/tmp/perl-Log-TraceMessages-1.4-1.fc8.kwizart-root-builder
If you consider they are fine, that's OK, since I have no experience in this area !
Comment 4 Nicolas Chauvet (kwizart) 2008-09-15 08:39:50 EDT
make test has succeed, so i don't see any problem here...
Comment 5 Parag AN(पराग) 2008-09-24 03:16:07 EDT
APPROVED.
Comment 6 Nicolas Chauvet (kwizart) 2008-09-24 04:06:07 EDT
New Package CVS Request
=======================
Package Name: perl-Log-TraceMessages
Short Description: Perl extension for trace messages used in debugging
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 7 Huzaifa S. Sidhpurwala 2008-09-24 04:56:19 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.